Package org.wso2.carbon.deployment.synchronizer.git

## Class TenantGitRepositoryContext

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.TenantRepositoryContext
  - - org.wso2.carbon.deployment.synchronizer.git.TenantGitRepositoryContext

-     public class TenantGitRepositoryContext
      extends org.wso2.carbon.deployment.synchronizer.TenantRepositoryContext

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.deployment.synchronizer.TenantRepositoryContext

      `artifactRepository, log`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TenantGitRepositoryContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cloneExists()` |
    `org.eclipse.jgit.api.Git` | `getGit()` |
    `org.eclipse.jgit.lib.Repository` | `getLocalRepo()` |
    `String` | `getLocalRepoPath()` |
    `String` | `getPassword()` |
    `String` | `getRemoteRepoUrl()` |
    `int` | `getTenantId()` |
    `String` | `getUsername()` |
    `boolean` | `initialArtifactsSynced()` |
    `void` | `setCloneExists​(boolean cloneExists)` |
    `void` | `setGit​(org.eclipse.jgit.api.Git git)` |
    `void` | `setInitialArtifactsSynced​(boolean initialArtifactsSynced)` |
    `void` | `setLocalRepo​(org.eclipse.jgit.lib.Repository localRepo)` |
    `void` | `setLocalRepoPath​(String localRepoPath)` |
    `void` | `setPassword​(String password)` |
    `void` | `setRemoteRepoUrl​(String remoteRepoUrl)` |
    `void` | `setTenantId​(int tenantId)` |
    `void` | `setUsername​(String username)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantGitRepositoryContext

          public TenantGitRepositoryContext()

  - ### Method Detail

    - #### getLocalRepoPath

          public String getLocalRepoPath()

    - #### setLocalRepoPath

          public void setLocalRepoPath​(String localRepoPath)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl​(String remoteRepoUrl)

    - #### getLocalRepo

          public org.eclipse.jgit.lib.Repository getLocalRepo()

    - #### setLocalRepo

          public void setLocalRepo​(org.eclipse.jgit.lib.Repository localRepo)

    - #### getGit

          public org.eclipse.jgit.api.Git getGit()

    - #### setGit

          public void setGit​(org.eclipse.jgit.api.Git git)

    - #### cloneExists

          public boolean cloneExists()

    - #### setCloneExists

          public void setCloneExists​(boolean cloneExists)

    - #### getTenantId

          public int getTenantId()

    - #### setTenantId

          public void setTenantId​(int tenantId)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername​(String username)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword​(String password)

    - #### initialArtifactsSynced

          public boolean initialArtifactsSynced()

    - #### setInitialArtifactsSynced

          public void setInitialArtifactsSynced​(boolean initialArtifactsSynced)